Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87883 - up2date SSL errors
Summary: up2date SSL errors
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhnlib
Version: 9
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Mihai Ibanescu
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-03 15:42 UTC by Chris Ricker
Modified: 2007-04-18 16:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-07 04:51:47 UTC


Attachments (Terms of Use)

Description Chris Ricker 2003-04-03 15:42:22 UTC
When I run up2date, I get

[cricker@winsucks cricker]$ sudo up2date --nox -u

Fetching package list for channel: redhat-linux-i386-9...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-9...
########################################

Fetching rpm headers...
########################################

Testing package set / solving RPM inter-dependencies...
########################################
eog-2.2.0-2.i386.rpm:       ########################## Done.                   
Preparing              ########################################### [100%]

Installing...
   1:eog                    ########################################### [100%]
There was an SSL error: (104, 'Connection reset by peer')
A common cause of this error is the system time being incorrect. Verify that the
time on this system is correct.


This system is using NTP to keep the timestamps synchronized, so that doesn't
make much sense....

Comment 1 Chris Ricker 2003-04-03 15:43:24 UTC
BTW, this machine was a fresh everything install of RHL 9, plus the proposed
glibc errata (glibc-2.3.2-22.9)

Comment 2 Chris Ricker 2003-04-09 20:28:45 UTC
Same error, different system. This time the system was a RHL 9 with all errata
as of 20030408 (ie, kernel-smp-2.4.20-9, but not the glibc errata released 20030409)

[kaboom@verdande kaboom]$ sudo up2date --nox -u

Fetching package list for channel: redhat-linux-i386-9...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-9...
########################################

Fetching rpm headers...
There was an SSL error: (104, 'Connection reset by peer')
A common cause of this error is the system time being incorrect. Verify that the
time on this system is correct.
[kaboom@verdande kaboom]$ 


Comment 3 Chris Ricker 2003-04-11 12:31:39 UTC
And on a third machine, I just got a similar meaningless SSL error when I tried
to up2date:

[kaboom@skuld kaboom]$ sudo up2date --nox -u
There was an SSL error: [('SSL routines', 'SSL23_GET_SERVER_HELLO', 'unknown
protocol')]
A common cause of this error is the system time being incorrect. Verify that the
time on this system is correct.
[kaboom@skuld kaboom]$ 

This machine, like the other two, is time-synchronized using ntpd, so the
explanation is nonsense here too....

Comment 4 David Villace 2003-08-29 09:10:48 UTC
I only write 'up2date' command and I have the same error and I have
time-synchronized using ntpd too

Grettings

Comment 5 Mihai Ibanescu 2004-10-07 04:51:47 UTC
Should be fixed in newer rhnlib packages I believe...


Note You need to log in before you can comment on or make changes to this bug.